// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_common/file.proto

package dictionary_common

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type FileCompressType int32

const (
	FileCompressType_FCT_UNSPECIFIED FileCompressType = 0
	FileCompressType_FCT_ZIP         FileCompressType = 1
	FileCompressType_FCT_GZIP        FileCompressType = 2
	FileCompressType_FCT_TAR         FileCompressType = 3
)

// Enum value maps for FileCompressType.
var (
	FileCompressType_name = map[int32]string{
		0: "FCT_UNSPECIFIED",
		1: "FCT_ZIP",
		2: "FCT_GZIP",
		3: "FCT_TAR",
	}
	FileCompressType_value = map[string]int32{
		"FCT_UNSPECIFIED": 0,
		"FCT_ZIP":         1,
		"FCT_GZIP":        2,
		"FCT_TAR":         3,
	}
)

func (x FileCompressType) Enum() *FileCompressType {
	p := new(FileCompressType)
	*p = x
	return p
}

func (x FileCompressType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (FileCompressType) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_dictionary_common_file_proto_enumTypes[0].Descriptor()
}

func (FileCompressType) Type() protoreflect.EnumType {
	return &file_v1_dictionary_common_file_proto_enumTypes[0]
}

func (x FileCompressType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use FileCompressType.Descriptor instead.
func (FileCompressType) EnumDescriptor() ([]byte, []int) {
	return file_v1_dictionary_common_file_proto_rawDescGZIP(), []int{0}
}

type Part struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	//File part Number(0 - first)
	Num int32 `protobuf:"varint,1,opt,name=num,proto3" json:"num,omitempty"`
	//File part size in bytes
	Size uint64 `protobuf:"varint,2,opt,name=size,proto3" json:"size,omitempty"`
	//File part data.
	Content []byte `protobuf:"bytes,3,opt,name=content,proto3" json:"content,omitempty"`
}

func (x *Part) Reset() {
	*x = Part{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_file_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Part) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Part) ProtoMessage() {}

func (x *Part) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_file_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Part.ProtoReflect.Descriptor instead.
func (*Part) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_file_proto_rawDescGZIP(), []int{0}
}

func (x *Part) GetNum() int32 {
	if x != nil {
		return x.Num
	}
	return 0
}

func (x *Part) GetSize() uint64 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *Part) GetContent() []byte {
	if x != nil {
		return x.Content
	}
	return nil
}

type File struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	//File uid
	Uid string `protobuf:"bytes,1,opt,name=uid,proto3" json:"uid,omitempty"`
	//File name
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	//File size in bytes
	Size         uint64           `protobuf:"varint,3,opt,name=size,proto3" json:"size,omitempty"`
	CompressType FileCompressType `protobuf:"varint,4,opt,name=compress_type,json=compressType,proto3,enum=fcp.dictionary.v1.dictionary_common.FileCompressType" json:"compress_type,omitempty"`
	//Number of file parts
	Parts int32 `protobuf:"varint,5,opt,name=parts,proto3" json:"parts,omitempty"`
	//File data
	Part *Part `protobuf:"bytes,6,opt,name=part,proto3" json:"part,omitempty"`
}

func (x *File) Reset() {
	*x = File{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_common_file_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *File) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*File) ProtoMessage() {}

func (x *File) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_common_file_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use File.ProtoReflect.Descriptor instead.
func (*File) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_common_file_proto_rawDescGZIP(), []int{1}
}

func (x *File) GetUid() string {
	if x != nil {
		return x.Uid
	}
	return ""
}

func (x *File) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *File) GetSize() uint64 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *File) GetCompressType() FileCompressType {
	if x != nil {
		return x.CompressType
	}
	return FileCompressType_FCT_UNSPECIFIED
}

func (x *File) GetParts() int32 {
	if x != nil {
		return x.Parts
	}
	return 0
}

func (x *File) GetPart() *Part {
	if x != nil {
		return x.Part
	}
	return nil
}

var File_v1_dictionary_common_file_proto protoreflect.FileDescriptor

var file_v1_dictionary_common_file_proto_rawDesc = []byte{
	0x0a, 0x1f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x23, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x46, 0x0a, 0x04, 0x50, 0x61, 0x72, 0x74, 0x12,
	0x10, 0x0a, 0x03, 0x6e, 0x75, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x03, 0x6e, 0x75,
	0x6d, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52,
	0x04, 0x73, 0x69, 0x7a, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x07, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x22,
	0xf1, 0x01, 0x0a, 0x04, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x12,
	0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x04, 0x52, 0x04, 0x73, 0x69,
	0x7a, 0x65, 0x12, 0x5a, 0x0a, 0x0d, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x65, 0x73, 0x73, 0x5f, 0x74,
	0x79, 0x70, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x46, 0x69, 0x6c, 0x65, 0x43, 0x6f, 0x6d, 0x70, 0x72, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65,
	0x52, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x14,
	0x0a, 0x05, 0x70, 0x61, 0x72, 0x74, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x70,
	0x61, 0x72, 0x74, 0x73, 0x12, 0x3d, 0x0a, 0x04, 0x70, 0x61, 0x72, 0x74, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x72, 0x74, 0x52, 0x04, 0x70,
	0x61, 0x72, 0x74, 0x2a, 0x4f, 0x0a, 0x10, 0x46, 0x69, 0x6c, 0x65, 0x43, 0x6f, 0x6d, 0x70, 0x72,
	0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x13, 0x0a, 0x0f, 0x46, 0x43, 0x54, 0x5f, 0x55,
	0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07,
	0x46, 0x43, 0x54, 0x5f, 0x5a, 0x49, 0x50, 0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08, 0x46, 0x43, 0x54,
	0x5f, 0x47, 0x5a, 0x49, 0x50, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x46, 0x43, 0x54, 0x5f, 0x54,
	0x41, 0x52, 0x10, 0x03, 0x42, 0x76, 0x0a, 0x2c, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x61, 0x70, 0x69, 0x73, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x50, 0x01, 0x5a, 0x41, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70,
	0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_common_file_proto_rawDescOnce sync.Once
	file_v1_dictionary_common_file_proto_rawDescData = file_v1_dictionary_common_file_proto_rawDesc
)

func file_v1_dictionary_common_file_proto_rawDescGZIP() []byte {
	file_v1_dictionary_common_file_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_common_file_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_common_file_proto_rawDescData)
	})
	return file_v1_dictionary_common_file_proto_rawDescData
}

var file_v1_dictionary_common_file_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_dictionary_common_file_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_v1_dictionary_common_file_proto_goTypes = []interface{}{
	(FileCompressType)(0), // 0: fcp.dictionary.v1.dictionary_common.FileCompressType
	(*Part)(nil),          // 1: fcp.dictionary.v1.dictionary_common.Part
	(*File)(nil),          // 2: fcp.dictionary.v1.dictionary_common.File
}
var file_v1_dictionary_common_file_proto_depIdxs = []int32{
	0, // 0: fcp.dictionary.v1.dictionary_common.File.compress_type:type_name -> fcp.dictionary.v1.dictionary_common.FileCompressType
	1, // 1: fcp.dictionary.v1.dictionary_common.File.part:type_name -> fcp.dictionary.v1.dictionary_common.Part
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_v1_dictionary_common_file_proto_init() }
func file_v1_dictionary_common_file_proto_init() {
	if File_v1_dictionary_common_file_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_common_file_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Part); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_common_file_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*File); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_common_file_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_common_file_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_common_file_proto_depIdxs,
		EnumInfos:         file_v1_dictionary_common_file_proto_enumTypes,
		MessageInfos:      file_v1_dictionary_common_file_proto_msgTypes,
	}.Build()
	File_v1_dictionary_common_file_proto = out.File
	file_v1_dictionary_common_file_proto_rawDesc = nil
	file_v1_dictionary_common_file_proto_goTypes = nil
	file_v1_dictionary_common_file_proto_depIdxs = nil
}
